# Generated from crusade-apns-0.8.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name crusade-apns

Name: rubygem-%{gem_name}
Version: 0.8.2
Release: 1%{?dist}
Summary: send push notification to APNS
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(json_expressions) >= 0.8.2
# BuildRequires: rubygem(json_expressions) < 0.9
# BuildRequires: rubygem(minitest) >= 5.0.7
# BuildRequires: rubygem(minitest) < 5.1
# BuildRequires: rubygem(minitest-great_expectations) >= 0.0.5
# BuildRequires: rubygem(minitest-great_expectations) < 0.1
# BuildRequires: rubygem(coveralls)
BuildArch: noarch

%description
APNS pluging for crusade.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/signature
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/crusade-apns.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.8.2-1
- Initial package
